curl --location --request GET 'https://api.audienceful.com/v2/people' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/people"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/people", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
{
"id": "jQKdwqp3YRRtTrwqUJEp7d",
"email": "[email protected]",
"tags": ["vip"],
"notes": "",
"extra_data": {
"plan": "pro"
},
"created_at": "2026-07-04T12:00:00Z",
"updated_at": "2026-07-04T12:00:00Z",
"last_activity": "2026-07-04T12:00:00Z",
"country": "US",
"status": "active",
"source": "api",
"open_rate": 0.42,
"click_rate": 0.11
}
],
"has_more": true,
"next_cursor": "cD0yMDI2LTA3LTA0VDEyOjAwOjAwWg"
}
List Contacts
Returns a cursor-paginated list of the contacts in your audience.
GET
/
v2
/
people
curl --location --request GET 'https://api.audienceful.com/v2/people' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/people"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/people", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
{
"id": "jQKdwqp3YRRtTrwqUJEp7d",
"email": "[email protected]",
"tags": ["vip"],
"notes": "",
"extra_data": {
"plan": "pro"
},
"created_at": "2026-07-04T12:00:00Z",
"updated_at": "2026-07-04T12:00:00Z",
"last_activity": "2026-07-04T12:00:00Z",
"country": "US",
"status": "active",
"source": "api",
"open_rate": 0.42,
"click_rate": 0.11
}
],
"has_more": true,
"next_cursor": "cD0yMDI2LTA3LTA0VDEyOjAwOjAwWg"
}
Requires the
people:read scope.
Query parameters
Filter to the contact with this exact email address (case-insensitive). Example:
[email protected]The number of contacts to return per page. Maximum
500.The pagination cursor from a previous response’s
next_cursor. See Pagination.Response
The page of contacts.
Show properties
Show properties
The contact's opaque, unique identifier. Use this value to address the contact in the URL of the retrieve, update, and delete endpoints. The sequential integer primary key is never exposed.
The contact's email address.
The names of the tags applied to this contact — a flat list of strings.
Notes associated with this contact. HTML string or plain string.
The datetime (UTC) at which the contact was created.
The datetime (UTC) at which the contact was last updated.
The datetime (UTC) of this contact's last activity. Example activities that update this field are: creation, opening an email, clicking an email, and unsubscribing.
The contact's two-letter country code, if known.
The single subscription/deliverability indicator for the contact.
Show values
Show values
active
The contact is active and subscribed.
unconfirmed
The contact has not confirmed their double opt-in email.
bounced
The contact's email failed to deliver (permanent).
unsubscribed
The contact has unsubscribed.
not_subscribed
The contact is not subscribed to marketing.
cleaned
The contact was cleaned from the list (repeatedly undeliverable).
How the contact entered your audience (e.g.
api, import, form).The contact's historical email open rate, from
0 to 1.The contact's historical email click rate, from
0 to 1.Whether more contacts exist after this page.
The cursor to pass as
?cursor= to fetch the next page. null when there are no more pages.curl --location --request GET 'https://api.audienceful.com/v2/people' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/people"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/people", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
{
"id": "jQKdwqp3YRRtTrwqUJEp7d",
"email": "[email protected]",
"tags": ["vip"],
"notes": "",
"extra_data": {
"plan": "pro"
},
"created_at": "2026-07-04T12:00:00Z",
"updated_at": "2026-07-04T12:00:00Z",
"last_activity": "2026-07-04T12:00:00Z",
"country": "US",
"status": "active",
"source": "api",
"open_rate": 0.42,
"click_rate": 0.11
}
],
"has_more": true,
"next_cursor": "cD0yMDI2LTA3LTA0VDEyOjAwOjAwWg"
}
⌘I

